<template>
    <app-layout>
        <div class="row justify-content-center">
            <div class="col-lg-6">
                <h1 class="h2 mb-3">{{ player.name }}</h1>
                
                <table class="table table-striped">
                    <thead>
                        <tr class="table-dark">
                            <th scope="col">Field</th>
                            <th scope="col">Value</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="(value, field, index) in player" :key="index">
                            <th scope="row">{{ field }}</th>
                            <td>{{ value }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </app-layout>
</template>

<script>
    import AppLayout from '@/Layouts/AppLayout'
    
    export default {
        props: {
            'player': Object,
        },
        
        components: {
            AppLayout,
        },
    }
</script>